[완료] rt2870 설치가 잘 안 되고 있습니다...^^;;;

현재, 우분투를 주욱 써오다가 얼마 전에 USB 타입의 rt2870[802.11n] 무선랜 카드를 쓴 이후로는
우분투에서 무선랜이 작동하질 않아서 Linux Mint 7 을 쓰고 있습니다.

Linux Mint 7의 경우, 설치 시의 커널 버젼은 2.6.28-11 이었는데도 기본으로 무선랜이 잘 잡히고
커널을 판올림하여 2.6.28-14로 하면 호환성이 더 좋아지더군요.
하지만, 민트의 경우도 2.6.30 이상으로 판올림하면 무선랜이 잡히지 않게 되더군요.

현재, 우분투[9.04, 9.10 RC3]를 설치하면 무선 네트워크를 사용할 수 있다고는 하는데, AP를 검색할 수도 없었습니다.

구글과 이곳을 검색해 보고 설치에 성공했다는 글을 보고 따라 해보긴 했습니다만,
make 중에 마지막 라인 2줄 정도에서 에러가 발생해서 설치가 안 되었습니다.

우분투 공식 포럼이나 이 곳, 구글을 통한 검색으로 해결책[대개 비슷한 방법이었습니다만…;]을 찾아서 해봤었습니다. ㅠ_ㅜ)
리눅스에 대해서는 많이 알지는 못 하고 문제 발생 시, 검색을 통해서 해결해 온 터라 잘 모르는 부분이 많습니다. ^^;

어떻게 해야 좋을 지, 감이 안 와서 며칠 끙끙대다가 질문을 하게 됐습니다.
민트도 나쁘진 않지만, 우분투가 더 깔끔한 편이라 우분투를 꼭 쓰고 싶은데 잘 안 되네요. ㅠ_ㅜ)

오늘 다시 시도를 해 봤습니다만…우분투 9.10 RC3 기준으로 말하자면,
펌웨어도 이미 존재하고, 분명히 드라이버는 커널에서도 인식을 하는 듯 합니다만…묘하게도 AP 수신이 안 되는 상태인 겁니다. ㅠ_ㅜ)

당최, 어떻게 해야 할 지…감이 안 오네요. ㅠ_ㅜ)

우선 민트 7은 우분투 9.04 기반입니다.
둘다 커널은 같습니다. 현재 커널이 2.6.28-14 입니다.
민트에서는 잘되고 9.04에서 잘 안 된다니 이상 합니다. 무선 설정 문제 차이로 생각 됩니다.

민트에서 커널 2.6.30을 개인 저장소 꺼 받아 설치 한다면
firmware 드라이버는 동작 하지 않을 수 있습니다.
상위 커널을 원하면 직접 컴파일 하는게 좋습니다.

[quote="crewords":1odocpot]우분투 9.10 RC3 기준으로 말하자면,[/quote:1odocpot] RC3이 아니고 알파3입니다.
우분투가 rc 가 붙는 것은 정식 출시 일주일 전입니다, 그러니깐 10월22일 이군요
정식 출시는 10월29일로 되어 있습니다. 우분투에서 RC 버전은 거의 정식 버전과 같습니다.

알파 버전은 많은 패키지가 시험 중입니다. 따라서 펌웨어가 작동 안될수도 있고…
저 같은 경우는 conky 등이 깨지고 비디오 재생이 느리고 CPU 과부하가 심합니다.

제가 보기에 우분투 사용 최적은 9.04 이니 거기서 무선 설정 해보시기 바랍니다.

그리고 9.10 이 베타(출시 한달전 즉 10월1일이 될것 입니다.)에서도 안된다면 버그 보고 하시기 바랍니다.

댓글 없이 고생하시는거 같아 글 올립니다. ;)

정 안되면 택배 선불로 보내 주십시요. 제가 커널 컴파일 따로 해서
잘 되면 배포판 상관 없이 커널로 잡는 법 올려 드리겠습니다. (30 이상 커널소스 보니 rt2870이 있더군요 )

아…alpha3 를 RC3로 잘못 적었네요. ^^;;;

민트가 우분투 9.04랑 같은 건 알고 있습니다. ^^;
그래서, 우분투 9.04에서 RT2870이 이상하리만치 안 돼서
대안으로 설치했는데 되더라구요. 커널은 같은 것을 쓰는데 말이죠. ^^;

민트에서 시냅틱으로 우분투 저장소를 통해서 커널 판올림[2.6.28-11 → 2.6.28-14]을 하면
그것 역시 민트에서는 작동이 잘 되더라는 겁니다. @_@);
여기서 좀 이해가 안 가는 점은 커널 판올림도 같고, 설정도 크게 다른 거 없는데…
우분투에선 잘 안 잡힌다는 점이네요. ^^;;;

일단, 말씀처럼 9.10이 alpha 버젼이란 것은 잘 알고 있습니다만…
9.04로 다시 삽질을 해보고 결과를 적어 보겠습니다. ^^;

참 이해가 안 되네요. ㅠ_ㅜ);;;

우분투 9.04에서 RT2870을 사용할 수 있게 됐습니다. ㅠ_ㅜ)
참으로 어이없는 이유로 작동이 안 된 것이었네요…;

저희집에 고양이를 키우는데, 고양이가 USB 마우스 선을 잘근잘근 씹어서
이 마우스가 인식이 됐다 안 됐다 하는데, 마우스와 무선랜 USB를 인접해서 꼽았었거든요.
그런데, 마우스가 인식이 됐다 안 됐다 하게 되면, 무선랜도 인식 됐다 안 됐다를 반복하는 것이었습니다. ;;;
이해가 안 되는 점은 민트 7에서는 그런 걸 무시하고 인식이 잘 되어 버렸던 것인데…

여튼, 집에 굴러 다니는 마우스를 하나 바꿔 껴보니 무선랜이 잘 인식이 되더라구요. ^^;
이리 간단한 것을 며칠 동안 끙끙대며 고생하다니…ㅜ_ㅡ)

지금은 잘 쓰고 있습니다. ^^;

내일 중에 지금 쓰는 PC를 와이프에게 주고, 새 PC를 장만하게 되는데…
ATi 내장형[785G 보드]을 쓰게 돼서, 벌써부터 ATi 드라이버 잡는 것이 좀 걱정이 되네요…;

답글 주시며, 도움 주셨던 강분도 님께 감사의 말씀도 드립니다. ^^

[quote="crewords":25f0l4y5]희집에 고양이를 키우는데, 고양이가 USB 마우스 선을 잘근잘근 씹어서
이 마우스가 인식이 됐다 안 됐다 하는데, 마우스와 무선랜 USB를 인접해서 꼽았었거든요.
그런데, 마우스가 인식이 됐다 안 됐다 하게 되면, 무선랜도 인식 됐다 안 됐다를 반복하는 것이었습니다. ;;;
이해가 안 되는 점은 민트 7에서는 그런 걸 무시하고 인식이 잘 되어 버렸던 것인데…

여튼, 집에 굴러 다니는 마우스를 하나 바꿔 껴보니 무선랜이 잘 인식이 되더라구요. ^^;
이리 간단한 것을 며칠 동안 끙끙대며 고생하다니…ㅜ_ㅡ)

지금은 잘 쓰고 있습니다. ^^;[/quote:25f0l4y5] 세상에 이런일도 …

[quote="crewords":25f0l4y5]내일 중에 지금 쓰는 PC를 와이프에게 주고, 새 PC를 장만하게 되는데…
ATi 내장형[785G 보드]을 쓰게 돼서, 벌써부터 ATi 드라이버 잡는 것이 좀 걱정이 되네요…;[/quote:25f0l4y5] 엔비디아 추천 합니다.
ATI 내장형 하시면 또 놀라운 일이 벌어 질수도 있습니다. ;)

[quote="crewords":3bo5fi0b]저희집에 고양이를 키우는데, 고양이가 USB 마우스 선을 잘근잘근 씹어서[/quote:3bo5fi0b]

고양이가 마우스를 쥐로 알았나 봅니다^^

[quote="crewords":3bo5fi0b]지금은 잘 쓰고 있습니다. ^^;[/quote:3bo5fi0b]

다행입니다^^

보통 기본적으로 커널 안에 있는 드라이버로 해결이 안될 경우에는 linux-backports-modules 를 설치합니다. 백포트 모듈 패키지는 최신 무선랜 드라이버를 포함하고 있습니다. 커널 내부의 드라이버는 안정성을 중시하기 때문에 드라이버가 업데이트 되지 않습니다. 백포트도 그다지 빨리 반영되는 편은 아니지만 어느 정도 개발이 진행된 드라이버라 문제가 해결되는 경우가 있습니다.

아마 민트에서는 되고 우분투에서 안됐던 이유가 이것은 아닐까 싶습니다. 민트는 우분투에서는 기본적으로 설치되지 않는 패키지들이 편의를 위해 기본으로 설치되어있는 경우가 많으니까요.(물론 추측입니다만=_=;)

그게…유지보수 면에서는 엔비디아가 훨 나은 건 압니다.
현재 쓰는 컴도 지포스9 시리즈거든요. ^^;

그런데, 와이프 컴이 필요하게 됐지만, 뭐 과하게 VGA를 덧붙여 맞추기도 뭐하고 해서 저렴하게 꾸리는 건데
괜히 문제 생기면 골치아픈 내장형 VGA를 와이프 주느니, 제가 쓰는 게 낫다고 생각을 했습니다. ^^;;;

하지만, 벌써부터 내장형…그것도 ATi라서 설치에 애로사항이 꽃필 듯 싶어서 걱정이 좀 되네요. ^^;;;

[quote="crewords":2dsbqp1f]그게…유지보수 면에서는 엔비디아가 훨 나은 건 압니다.
현재 쓰는 컴도 지포스9 시리즈거든요. ^^;

그런데, 와이프 컴이 필요하게 됐지만, 뭐 과하게 VGA를 덧붙여 맞추기도 뭐하고 해서 저렴하게 꾸리는 건데
괜히 문제 생기면 골치아픈 내장형 VGA를 와이프 주느니, 제가 쓰는 게 낫다고 생각을 했습니다. ^^;;;

하지만, 벌써부터 내장형…그것도 ATi라서 설치에 애로사항이 꽃필 듯 싶어서 걱정이 좀 되네요. ^^;;;[/quote:2dsbqp1f]
벌써 구입 하신 건가요 ?
아 저는 엔디비아도 내장형 있으니까! 기왕이면 엔디비아 내장형으로 하라는 이야기였습니다.

내장형이 Geforce8100~Geforce8300 이렇게 있는 것으로 압니다만…
이런 저런 것을 따져보니 선택의 폭이 좁아지더라구요. ^^;
게다가, 신제품을 선호하는 몹쓸 병 때문에 OTL
덕분에 베타 프로그램이나 알파 버젼도 겁없이 쓰는 편 입니다. ^^;

여튼, ATi 설치하다가 문제가 생기면 또 포럼을 검색할 수 밖에 없겠네요. ^^;